<?php
require('./fpdf/fpdf.php');
ob_end_clean();
include ("./funcions/funcions.php");
require ("./funcions/connexio.inc");

$cddes = $_REQUEST['cdprn']; // agafem el parmetre passat
list($nCops,$lAny,$elMes)=split("n",$cddes);

// ***************** D A D E S   D E   L E S   D E S P E S E S **************************
$consultaLinies = trimestre($elMes,$lAny);
$despeses=mysql_query($consultaLinies,$con);
$numRegistres=mysql_num_rows($despeses);

class PDF extends FPDF
{
	function Header()
	{
	  	global $elMes;
	  	global $lAny;	  	
	    //Logo
	    $this->Image('./ima/logo_CLG_petit.jpg',15,7,7);	    
	    $this->Cell(50); // desplaament dreta
	    $this->SetFont('Arial','',10); // estableix el tipus de font	    	    
		$this->Cell(20,5,'DESPESES',0,0,'R');
	    $this->Cell(30,5,nomTrimestre($elMes)." 20".$lAny,0,1,'L');	    			    
	}	
	//Peu de pgina
	function Footer()
	{
	    //Posicin: a 1,5 cm del final
	    $this->SetY(-15);
	    //Arial italic 8
	    $this->SetFont('Arial','I',8);
	    //Nmero de pgina noms si tenim ms d'una pgina 	    
	    global $numRegistres; // si no es fa 'global' no t el valor
	    if($numRegistres > 40)$this->Cell(0,10,$this->PageNo().'/{nb}',0,0,'C');	    
	}
}

$pdf=new PDF();
$pdf->SetAutoPageBreak(false);// deshabilitem el salt de pgina automtic
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Times','',12);

$pdf->Ln(7); // salt de lnia
// Capaleres de les lnies 
$pdf->SetFont('Arial','',9); 
$pdf->Cell(12,5,'Reg.N',1,0,'L');
$pdf->Cell(16,5,'Data',1,0,'C');
$pdf->Cell(35,5,'NFra.',1,0,'C');
$pdf->Cell(58,5,'Provedor',1,0,'C');
$pdf->Cell(14,5,'Despesa',1,0,'C');
$pdf->Cell(14,5,'Base',1,0,'C');
$pdf->Cell(14,5,'IVA',1,0,'C');
$pdf->Cell(14,5,'Ret.15%',1,0,'C');
$pdf->Cell(17,5,'Import',1,1,'C');

$cont = 0; //comptador de lnies
$maxLinies = 40; //quantitat mxima de lnies per pgines
$subTotal = 0;
$numRegistre = 1;

while($linia = mysql_fetch_array($despeses))
{

  $importIva = 0;
  $importRet = 0;
  if($linia['retencio'] > 0){$importRet = ($linia['base'] * ($linia['retencio'] /100));}
  if($linia['iva'] > 0){$importIva = ($linia['base'] * ($linia['iva'] /100));}
  $import = $linia['base'] + $importIva - $importRet;	
  $total += $import;
  
	if ($cont == $maxLinies)
    {
      	$pdf->Ln(10); // salt de lnia      	
		$pdf->SetFont('Arial','I',9);
		$pdf->Cell(162); // desplaament dreta
		$pdf->Cell(15,5,'Segueix ...',0,0,'C');
		$pdf->SetFont('Arial','',9);
      	
        $pdf->AddPage();        
        $pdf->Ln(7); // salt de lnia
		// Capaleres de les lnies 
		$pdf->SetFont('Arial','',9); 
		$pdf->SetFont('Arial','',9); 
		$pdf->Cell(12,5,'Reg.N',1,0,'L');
		$pdf->Cell(16,5,'Data',1,0,'C');
		$pdf->Cell(35,5,'NFra.',1,0,'C');
		$pdf->Cell(58,5,'Provedor',1,0,'C');
		$pdf->Cell(14,5,'Despesa',1,0,'C');
		$pdf->Cell(14,5,'Base',1,0,'C');
		$pdf->Cell(14,5,'IVA',1,0,'C');
		$pdf->Cell(14,5,'Ret.15%',1,0,'C');
		$pdf->Cell(17,5,'Import',1,1,'C');

        $cont = 0;
    }	
	$pdf->SetFont('Arial','',8); 
	$pdf->Cell(12,6,$numRegistre,1,0,'C');
	$pdf->Cell(16,6,canvif_a_normal($linia['dataDespesa']),1,0,'R');
	$pdf->Cell(35,6,$linia['numFactura'],1,0,'L'); // NFra.
	$pdf->Cell(58,6,$linia['proveidor'],1,0,'L');	// Proveidor
	if($linia['iva']==0) // si la despesa no t IVA, la base IVA i Retenci s buit
	{
		$pdf->Cell(14,6,$linia['base'],1,0,'R'); // Despesa 
		$pdf->Cell(14,6,'',1,0,'R'); // Base
		$pdf->Cell(14,6,'',1,0,'R'); // IVA
		$pdf->Cell(14,6,'',1,0,'R'); // Retenci
	}
	else
	{
		$pdf->Cell(14,6,'',1,0,'R'); // Despesa 
		$pdf->Cell(14,6,$linia['base'],1,0,'R'); // Base
		$pdf->Cell(14,6,number_format($importIva, 2, '.', ''),1,0,'R'); //IVA
		$pdf->Cell(14,6,number_format($importRet, 2, '.', ''),1,0,'R');	// Retenci 
	}
	$pdf->Cell(17,6,number_format($import, 2, '.', ''),1,1,'R');	 	    
    $cont += 1;
    $numRegistre += 1;
}// fi del while

$pdf->Ln(10); // salt de lnia
$pdf->Cell(162); // desplaament dreta
$pdf->Cell(15,6,'Total',0,0,'C');
$pdf->Cell(17,6,number_format($total, 2, '.', '')." ",1,0,'R');	// Retenci
$pdf->Output();
?>